Name:           perl-Dancer-Session-Cookie
Version:        0.15
Release:        1%{?dist}
Summary:        Encrypted cookie-based session backend for Dancer
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Dancer-Session-Cookie/
Source0:        http://www.cpan.org/authors/id/S/SU/SUKRIA/Dancer-Session-Cookie-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Crypt::CBC)
BuildRequires:  perl(Crypt::Rijndael)
BuildRequires:  perl(Dancer) >= 1.13
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(String::CRC32)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::NoWarnings)
Requires:       perl(Crypt::CBC)
Requires:       perl(Crypt::Rijndael)
Requires:       perl(Dancer) >= 1.13
Requires:       perl(String::CRC32)
Requires:       perl(Test::Exception)
Requires:       perl(Test::More)
Requires:       perl(Test::NoWarnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module implements a session engine for sessions stored entirely in
cookies. Usually only session id is stored in cookies and the session data
itself is saved in some external storage, e.g. database. This module allows
to avoid using external storage at all.

%prep
%setup -q -n Dancer-Session-Cookie-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Jan 01 2012 Dave Cross <dave@mag-sol.com> 0.15-1
- Specfile autogenerated by cpanspec 1.78.
